View Issue Details

IDProjectCategoryView StatusLast Update
0005078GNUnetGNSpublic2018-06-07 00:24
ReporterlynXAssigned ToChristian Grothoff 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005078: Wrong use of libtool in gns/nss impedes installation
DescriptionThe problem is larger than discussed in 0004631. src/gns/nss is the only place where libtool --mode=finish is being used, and it fails because

1. during compilation gentoo uses the uid "portage", so the sudo check is bogus as only later libtool will have root rights

2. it fails anyway, because it is expected to install into /var/tmp/portage/$yaddayadda/image (contained in DESTDIR) and simply append /lib to that. "finish" bails out with some error about illegal path. makes sense, since it is a later stage of installation to actually "finish" the thing, and gentoo takes care of that itself, i believe.
Steps To Reproduceebuild $youbroketheinternet-overlay/net-misc/gnunet/gnunet-9999.ebuild install
Additional InformationWe spent roughly 40 manhours to figure this buggo out and I still haven't managed to convert the script to run correct --install commands instead. In fact, I even managed to segfault libtool.

Therefore, gentoo users do not get to enjoy GNS properly. That means 3/4 of the secushare team.
TagsNo tags attached.

Activities

Christian Grothoff

2017-07-03 16:14

manager   ~0012300

I do not know how to do this 'better' or 'right'. Have you tried asking on the GNU libtool mailinglist for how one should do this?

schanzen

2017-07-03 16:40

developer   ~0012301

If you look at nss-mdns (https://github.com/lathiat/nss-mdns), they are not doing any manual libtool magic. Maybe it is reasonable to put the nss plugin into a separate package fron the gnunet source? after all, it only calls CLI tools anyway, right?

Christian Grothoff

2017-07-18 22:57

manager   ~0012345

Simplified to canonical libtool use in cd8ffdb97..29f76b6fe.

Users / distros now must manually move the $PREFIX/lib/gnunet/nss/* files to the respective directory where libc expects NSS plugins (or adjust the search path).

Issue History

Date Modified Username Field Change
2017-06-11 17:36 lynX New Issue
2017-07-03 16:14 Christian Grothoff Note Added: 0012300
2017-07-03 16:40 schanzen Note Added: 0012301
2017-07-18 22:57 Christian Grothoff Assigned To => Christian Grothoff
2017-07-18 22:57 Christian Grothoff Status new => resolved
2017-07-18 22:57 Christian Grothoff Resolution open => fixed
2017-07-18 22:57 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-07-18 22:57 Christian Grothoff Note Added: 0012345
2017-07-18 22:57 Christian Grothoff Product Version => 0.10.0
2017-07-18 22:57 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed